Bug 1701840 (CVE-2019-11372) - CVE-2019-11372 mediainfo: out-of-bounds read in function MediaInfoLib::File__Tags_Helper::Synched_Test in Tag/File__Tags.cpp
Summary: CVE-2019-11372 mediainfo: out-of-bounds read in function MediaInfoLib::File__...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2019-11372
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1701845 1701847 1701848 1701849
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-22 09:07 UTC by Dhananjay Arunesh
Modified: 2019-09-29 15:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-07 06:11:25 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-04-22 09:07:35 UTC
An out-of-bounds read in MediaInfoLib::File__Tags_Helper::Synched_Test in Tag/File__Tags.cpp in MediaInfoLib in MediaArea MediaInfo 18.12 leads to a crash.

References:
https://github.com/MediaArea/MediaInfoLib/pull/1111
https://sourceforge.net/p/mediainfo/bugs/1101/

Comment 1 Dhananjay Arunesh 2019-04-22 09:14:00 UTC
Created libmediainfo tracking bugs for this issue:

Affects: fedora-all [bug 1701847]


Created mediainfo tracking bugs for this issue:

Affects: fedora-all [bug 1701845]

Comment 2 Dhananjay Arunesh 2019-04-22 09:14:35 UTC
Created libmediainfo tracking bugs for this issue:

Affects: epel-all [bug 1701849]


Created mediainfo tracking bugs for this issue:

Affects: epel-all [bug 1701848]

Comment 3 Vasiliy Glazov 2019-04-22 09:19:37 UTC
Should I apply https://patch-diff.githubusercontent.com/raw/MediaArea/MediaInfoLib/pull/1111.patch and rebuild it?


Note You need to log in before you can comment on or make changes to this bug.